package org.smartframework.common;

import java.util.ArrayList;
import java.util.Collection;

public class ExArrayList<T> extends ArrayList<T> {
    private int total;

    public ExArrayList() {
    }

    public ExArrayList(Collection<? extends T> c) {
        super(c);
    }

    public int getTotal() {
        return this.total == 0 && this.size() > 0?this.size():this.total;
    }

    public void setTotal(int total) {
        this.total = total;
    }
}